I am the god of Hell fire, and I bring you

Устанавливаем Drush 8 используя Composer

     drupal, рукоблудие, drush     0

Проснулся сегодня утром. Налил чай и сел за комп. И думал уже заняться чем то полезным, но судьба решила по другому. В чатике DrupalRu узнал, что есть уже Drush 8 и люди им пользуется. Залез на свою виртуалочку проверить какая версия Drush у меня. Оказалось, что у меня 5.х версия, установленная через apt-get. Покопавшись в интернете нашел прекрасную статью как это исправить, ее и решил перевести.

Недавно в разговоре с друзьями и коллегами я столкнулся с проблемой. Люди до сих пор используют apt-get, homebrew или другие методы для установки Drush. Это странно для тех кто использует Drupal 8, поскольку он требует Drush 8. Использование Composer является самым простым способом установить Drush.

Установка

Для начала установим Composer:

$ curl -sS https://getcomposer.org/installer | php
$ mv composer.phar /usr/local/bin/composer

Теперь пропишем путь в .bash_profile или .zshrc:

$ export PATH="$HOME/.composer/vendor/bin:$PATH"

Перезапустим терминал или выполним команду:

$ source ~/.bash_profile

Теперь устанавливаем Drush, установим dev версию:

$ composer global require drush/drush:dev-master

Вот и все! Все работает.

Проверить версию Drush можно командой

$ drush --version

Что можно еще?

Обновить Drush (и все остальное, что вы установили через Composer):

$ composer global update

Откатиться к версии Drush 7:

$ composer global require drush/drush:7.*

Установить определенную версию Drush. Например: Drush 6.1.0

$ composer global require drush/drush:6.1.0

Оригинал



Поделиться записью

Фейсбук | Твиттер | ВКонтакте | Гугл+ | Телеграм